Zum Inhalt springen
Bpanda
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Evaluate the detail table of a report for the given elements.

Evaluate the detail table of a report for the given elements. Evaluate the details for an architecture report by a given report name. The resulting chart is a table. The resulting content in the table depends on the ACCEPT-LANGUAGE header.

Security: Any user holding a Bpanda licence for the process space.

POST/v1/warehouses/{warehouseId}/architectureReports/evaluate/details
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

Warehouse-Id

Query parameters
reportTypeArchitectureReportTyperequired

type of the report to evaluate

Allowed:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
Request body
requiredapplication/json

References from report evaluation

Array of RefId
typestringrequired
Responses
200

result of the report evaluation details as Chart

dataChartDatarequired
Show properties
typestringrequired
reportTypeArchitectureReportTyperequired
Allowed:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
400

references is empty

string
404

Warehouse not found

string
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/architectureReports/evaluate/details?reportType=ArchitectureElementsWithInvalidRelationships' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '[
  {
    "type": "string"
  }
]'
Response
{
  "data": {
    "type": "string"
  },
  "reportType": "ArchitectureElementsWithInvalidRelationships"
}